import request from '@/utils/request'
// 通过父类编码获取选项  通过包括父和子
export function options(data) {
  return request({
    url: '/options',
    method: 'get',
    params: {
      parentCode: data
    }
  })
}
// 通过父类编码获取子选项  只有子选项
export function optionsChildren(data) {
  return request({
    url: '/optionsChildren',
    method: 'get',
    params: {
      parentCode: data
    }
  })
}
// 分页查询
export function pageList(data) {
  return request({
    url: '/sys/sysDict/pageList',
    method: 'post',
    data: data
  })
}
// 插入
export function insert(data) {
  return request({
    url: '/sys/sysDict/insert',
    method: 'post',
    data: data
  })
}
// 更新数据
export function update(data) {
  return request({
    url: '/sys/sysDict/update',
    method: 'post',
    data: data
  })
}
// 删除数据
export function deletes(id, ids) {
  const data = {}
  if (id) {
    data['id'] = id
  }
  if (ids) {
    data['ids'] = ids
  }
  return request({
    url: '/sys/sysDict/delete',
    method: 'post',
    data: data
  })
}
// 列表选择框
export function treeList() {
  return request({
    url: '/sys/sysDict/treeList',
    method: 'post'
  })
}
